Package ru.bitel.bgbilling.modules.payonline.common.bean

# Class RebillTransaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.payonline.common.bean.RebillTransaction

All Implemented Interfaces:
  `Serializable`, `Contractable`, `Idable`

public class RebillTransaction extends Id implements Contractable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BANK_ERROR`
  Транзакция отклонена банком-эмитентом.
  `static final int`
  `FILTER_ERROR`
  Транзакция отклонена фильтрами PayOnline.
  `static final int`
  `REBILL_ANCHOR_ERROR`
  Транзакция отклонена банком-эмитентом.
  `static final int`
  `TECHNIKAL_ERROR`
  Возникла техническая ошибка на стороне PayOnline.

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RebillTransaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `int`
  `getContractId()`
  Возвращает код договора к которому привязан объект.
  `String`
  `getContractTitle()`
  Возвращает название договора
  `Date`
  `getDate()`
  `static String`
  `getError(int code)`
  Возвращает описание ошибки по ее коду.
  `int`
  `getErrorCode()`
  `String`
  `getResult()`
  `String`
  `getStatus()`
  `long`
  `getTransactionId()`
  `void`
  `setCode(int code)`
  `void`
  `setContractId(int contractId)`
  Устанавливает код договора к которому привязан объект.
  `void`
  `setContractTitle(String contractTitle)`
  Устанавливает название договора
  `void`
  `setDate(Date date)`
  `void`
  `setErrorCode(int errorCode)`
  `void`
  `setResult(String result)`
  `void`
  `setStatus(String status)`
  `void`
  `setTransactionId(long transactionId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TECHNIKAL_ERROR

    public static final int TECHNIKAL_ERROR
    Возникла техническая ошибка на стороне PayOnline.
    See Also:
      - Constant Field Values

  - ### FILTER_ERROR

    public static final int FILTER_ERROR
    Транзакция отклонена фильтрами PayOnline.
    See Also:
      - Constant Field Values

  - ### BANK_ERROR

    public static final int BANK_ERROR
    Транзакция отклонена банком-эмитентом.
    See Also:
      - Constant Field Values

  - ### REBILL_ANCHOR_ERROR

    public static final int REBILL_ANCHOR_ERROR
    Транзакция отклонена банком-эмитентом. Следует прекратить дальнейшие операции Rebill с данным RebillAnchor.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RebillTransaction

    public RebillTransaction()

- ## Method Details

  - ### getContractId

    public int getContractId()
    Description copied from interface: `Contractable`
    Возвращает код договора к которому привязан объект.
    Specified by:
      `getContractId` in interface `Contractable`
    Returns:
      код договора

  - ### setContractId

    public void setContractId(int contractId)
    Description copied from interface: `Contractable`
    Устанавливает код договора к которому привязан объект.
    Specified by:
      `setContractId` in interface `Contractable`
    Parameters:
      `contractId` - код договора

  - ### getResult

    public String getResult()

  - ### setResult

    public void setResult(String result)

  - ### getCode

    public int getCode()

  - ### setCode

    public void setCode(int code)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getErrorCode

    public int getErrorCode()

  - ### setErrorCode

    public void setErrorCode(int errorCode)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getTransactionId

    public long getTransactionId()

  - ### setTransactionId

    public void setTransactionId(long transactionId)

  - ### setContractTitle

    public void setContractTitle(String contractTitle)
    Description copied from interface: `Contractable`
    Устанавливает название договора
    Specified by:
      `setContractTitle` in interface `Contractable`
    Parameters:
      `contractTitle` - название договора

  - ### getContractTitle

    public String getContractTitle()
    Description copied from interface: `Contractable`
    Возвращает название договора
    Specified by:
      `getContractTitle` in interface `Contractable`
    Returns:
      название договора

  - ### getError

    public static String getError(int code)
    Возвращает описание ошибки по ее коду.
    Parameters:
      `code` - - код ошибки
    Returns:
      описание ошибки